Create an environment variable alias at the job level
- Allows you to add an alias at job level on an existing environment variable having higher scope, in order to customize its key.
- You only have to specify a key in the request body
- The system will create a new environment variable at job level with the same value as the one corresponding to the variable id in the path
- The response body will contain the newly created variable
- Information regarding the aliased_variable will be exposed in the “aliased_variable” field of the newly created variable
- You can’t create an alias on an alias
Documentation Index
Fetch the complete documentation index at: https://qovery-update-kubecost-tuto.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Job ID
Environment Variable ID
Body
Response
Create variable alias
key is case sensitive.
APPLICATION, BUILT_IN, ENVIRONMENT, PROJECT, CONTAINER, JOB, HELM, TERRAFORM type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET)
VALUE, ALIAS, OVERRIDE, BUILT_IN, FILE, EXTERNAL_SECRET value of the env variable.
should be set for file only. variable mount path makes variable a file (where file should be mounted).
optional variable description (255 characters maximum)
255type of the service (application, database, job, gateway...)
APPLICATION, CONTAINER, DATABASE, JOB, HELM, TERRAFORM Entity that created/own the variable (i.e: Qovery, Doppler)